baseURL: https://bebrashield.net/
title: Bebrashield

theme: hextra

enableRobotsTXT: true
# enableGitInfo: true
hasCJKLanguage: true

# services:
#   googleAnalytics:
#     ID: G-MEASUREMENT_ID

outputs:
  home: [HTML]
  page: [HTML]
  section: [HTML, RSS]

defaultContentLanguage: uk
defaultContentLanguageInSubdir: true
languages:
  uk:
    languageName: 🇺🇦 Українська
    languageCode: uk
    weight: 10
    title: BEBRASHIELD
    menu:
      main:
        - identifier: docs
          name: Головна
          pageRef: /docs/info
          weight: 10
        - identifier: blog
          name: Новини
          pageRef: /blog
          weight: 20
        - name: Пошук
          weight: 50
          params:
            type: search
        - name: Discord
          weight: 60
          url: "https://discord.gg/fYKUUKeCS3"
          params:
            icon: discord
        - name: Telegram
          weight: 61
          url: "https://t.me/+h28WP38F2_RjZjg6"
          params:
            icon: telegram
  ru:
    languageName: 🇷🇺 Русский
    languageCode: ru
    weight: 20
    title: BEBRASHIELD
    menu:
      main:
        - identifier: docs
          name: Главная
          pageRef: /docs/info
          weight: 10
        - identifier: blog
          name: Новости
          pageRef: /blog
          weight: 20
        - name: Поиск
          weight: 50
          params:
            type: search
        - name: Discord
          weight: 60
          url: "https://discord.gg/fYKUUKeCS3"
          params:
            icon: discord
        - name: Telegram
          weight: 61
          url: "https://t.me/+h28WP38F2_RjZjg6"
          params:
            icon: telegram

markup:
  highlight:
    noClasses: false
  goldmark:
    renderer:
      unsafe: true
    extensions:
      passthrough:
        delimiters:
          block: [['\[', '\]'], ['$$', '$$']]
          inline: [['\(', '\)']]
        enable: true

enableInlineShortcodes: true

params:
  # description: Modern, responsive, batteries-included Hugo theme for creating beautiful static websites.

  navbar:
    displayTitle: true
    displayLogo: true
    logo:
      path: images/logo-128x128-dark.png
      dark: images/logo-128x128-light.png
      width: 50
      height: 25
    width: wide

  page:
    # full (100%), wide (90rem), normal (1280px)
    width: wide

  theme:
    # light | dark | system
    default: system
    displayToggle: true

  footer:
    enable: true
    displayCopyright: false
    displayPoweredBy: false
    width: wide

  displayUpdatedDate: false
  dateFormat: "02-01-2006"

  search:
    enable: true
    type: flexsearch

    flexsearch:
      # index page by: content | summary | heading | title
      index: content
      # full | forward | reverse | strict
      # https://github.com/nextapps-de/flexsearch/#tokenizer-prefix-search
      tokenize: forward

  blog:
    list:
      displayTags: true
      # date | lastmod | publishDate | title | weight
      sortBy: date
      sortOrder: desc # or "asc"
      pagerSize: 5
    
    article:
      displayPagination: true

  toc:
    displayTags: true

  highlight:
    copy:
      enable: true
      # hover | always
      display: hover
